# Class MarketPriceInfo

#### Hierarchy

- unknown
  - MarketPriceInfo

- Defined in src/protobuf/grpc_pb.d.ts:2212
- Defined in src/protobuf/grpc_pb.d.ts:2227

#####
Index

### Constructors

constructor

### Methods

getCurrencyCode
getPrice
serializeBinary
setCurrencyCode
setPrice
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new MarketPriceInfo(): MarketPriceInfo

- #### Returns MarketPriceInfo

  Inherited from jspb.Message.constructor

## Methods

### getCurrencyCode

- getCurrencyCode(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2213

### getPrice

- getPrice(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:2216

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2219

### setCurrencyCode

- setCurrencyCode(value: string): MarketPriceInfo

- #### Parameters

  - ##### value: string

  #### Returns MarketPriceInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2214

### setPrice

- setPrice(value: number): MarketPriceInfo

- #### Parameters

  - ##### value: number

  #### Returns MarketPriceInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2217

### toObject

- toObject(includeInstance?: boolean): MarketPriceInfo.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns MarketPriceInfo.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2220

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): MarketPriceInfo

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MarketPriceInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2223

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MarketPriceInfo, reader: BinaryReader): MarketPriceInfo

- #### Parameters

  - ##### message: MarketPriceInfo

  - ##### reader: BinaryReader

  #### Returns MarketPriceInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2224

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: MarketPriceInfo, writer: BinaryWriter): void

- #### Parameters

  - ##### message: MarketPriceInfo

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2222

### `Static` toObject

- toObject(includeInstance: boolean, msg: MarketPriceInfo): MarketPriceInfo.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MarketPriceInfo

  #### Returns MarketPriceInfo.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2221

Generated using TypeDoc